(*  GREATIS SYSTEM FONTS                                    *)
(*  unit version 1.00.002                                   *)
(*  Copyright (C) 2005-2014 Greatis Software                *)
(*                                                          *)
(*  To get source codes please visit                        *)
(*  http://www.greatis.com/delphicb/systemfonts/getit.html  *)

unit SystemFonts;

interface

uses
  Windows, Classes, Graphics;

type
  TSystemFonts = class(TComponent)
  private
    { Private declarations }
    FCaptionFont: TFont;
    FSmallCaptionFont: TFont;
    FMenuFont: TFont;
    FStatusFont: TFont;
    FMessageFont: TFont;
    FIconTitleFont: TFont;
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure Update;
    property CaptionFont: TFont read FCaptionFont;
    property SmallCaptionFont: TFont read FSmallCaptionFont;
    property MenuFont: TFont read FMenuFont;
    property StatusFont: TFont read FStatusFont;
    property MessageFont: TFont read FMessageFont;
    property IconTitleFont: TFont read FIconTitleFont;
  published
    { Published declarations }
  end;

procedure Register;

implementation
